Last Comment Bug 690705 - Nightly/Aurora restart their process when running when selected from 'Recent Apps'
: Nightly/Aurora restart their process when running when selected from 'Recent ...
Status: RESOLVED FIXED
[fixed in aurora]
: regression
Product: Fennec Graveyard
Classification: Graveyard
Component: General (show other bugs)
: Trunk
: ARM Android
: -- normal (vote)
: Firefox 9
Assigned To: James Willcox (:snorp) (jwillcox@mozilla.com)
:
Mentors:
Depends on: 693289
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-30 02:53 PDT by Catalin Suciu [:csuciu]
Modified: 2011-12-06 01:05 PST (History)
12 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
log file (35.88 KB, text/plain)
2011-09-30 02:53 PDT, Catalin Suciu [:csuciu]
no flags Details
Bug 690705 - Don't put the restart helper activity in the recent list (1.24 KB, patch)
2011-09-30 08:08 PDT, James Willcox (:snorp) (jwillcox@mozilla.com)
blassey.bugs: review+
asa: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Catalin Suciu [:csuciu] 2011-09-30 02:53:03 PDT
Created attachment 563703 [details]
log file

Mozilla/5.0 (Android;Linux armv7l;rv:10.0a1)Gecko/20110929 Firefox/10.0a1 Fennec/10.0a1
Device: HTC Desire
OS: Android 2.2

Steps:
1. Start Nightly
2. Go to Preferences | Language
3. Choose any language from the list (e.g. Italian)
4. Restart the app when prompted.
5. Wait till Nightly is fully loaded, then long press the Home key to bring up the Recent apps menu.
6. Tap on Nightly in Recent apps.

Expected:
Nightly will open again without restarting.

Actual:
Nightly restarts.

Note:  This happens also after installing an add-on which requires restart. 

Please see the attached log file.
Comment 1 Aaron Train [:aaronmt] 2011-09-30 06:22:20 PDT
Confirmed seeing this on my Galaxy SII. This is happening on Aurora and Nightly, both Beta and Release are currently unaffected.
Comment 2 James Willcox (:snorp) (jwillcox@mozilla.com) 2011-09-30 08:08:55 PDT
Created attachment 563742 [details] [diff] [review]
Bug 690705 - Don't put the restart helper activity in the recent list
Comment 3 Brad Lassey [:blassey] (use needinfo?) 2011-09-30 09:03:19 PDT
Comment on attachment 563742 [details] [diff] [review]
Bug 690705 - Don't put the restart helper activity in the recent list

Review of attachment 563742 [details] [diff] [review]:
-----------------------------------------------------------------

good stuff
Comment 4 Matt Brubeck (:mbrubeck) 2011-09-30 10:08:11 PDT
Comment on attachment 563742 [details] [diff] [review]
Bug 690705 - Don't put the restart helper activity in the recent list

Requesting approval for Aurora 9.  This Android-only patch fixes a user-visible regression that causes the browser to restart unexpectedly in some situations.  The patch is low-risk; it does not touch any code but just corrects one bit of metadata for the "Restarter" activity in our Android manifest file.
Comment 5 Aaron Train [:aaronmt] 2011-09-30 10:50:22 PDT
For what it's worth bug 645799 might be worth taking a similar fix while this is active here.
Comment 6 Mark Finkle (:mfinkle) (use needinfo?) 2011-09-30 11:41:08 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/68b80bf42457
Comment 7 Marco Bonardo [::mak] (Away 6-20 Aug) 2011-10-01 02:25:35 PDT
https://hg.mozilla.org/mozilla-central/rev/68b80bf42457
Comment 8 Aaron Train [:aaronmt] 2011-10-03 07:02:43 PDT
Verified Fixed on Nightly
Mozilla/5.0 (Android; Linux armv7l; rv:10.0a1) Gecko/20111003 Firefox/10.0a1 Fennec/10.0a1
Comment 9 Matt Brubeck (:mbrubeck) 2011-10-07 10:30:37 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/8ccea4352c39

Note You need to log in before you can comment on or make changes to this bug.